"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = HTMLIframe;

var _react = _interopRequireWildcard(require("react"));

var _webshell = require("@formidable-webview/webshell");

var _pluginsCore = require("@native-html/plugins-core");

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function () { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const features = [new _webshell.HandleLinkPressFeature({
  preventDefault: true
})];
/**
 * A component to render iframes in react-native-render-html.
 *
 * @public
 */

function HTMLIframe({
  WebView,
  webViewProps: userWebViewProps,
  source,
  style,
  onLinkPress,
  scaleFactor,
  scalesPageToFit = false
}) {
  const scaleFeature = (0, _react.useMemo)(() => scalesPageToFit ? new _webshell.ForceResponsiveViewportFeature({
    initScale: scaleFactor,
    maxScale: scaleFactor,
    minScale: scaleFactor
  }) : null, [scaleFactor, scalesPageToFit]);
  const onDOMLinkPress = (0, _react.useCallback)(event => onLinkPress === null || onLinkPress === void 0 ? void 0 : onLinkPress.apply(null, (0, _pluginsCore.linkPressTargetToOnDOMLinkPressArgs)(event)), [onLinkPress]);
  const webViewProps = (0, _webshell.useWebshell)({
    features: [...features, scaleFeature],
    props: { ...userWebViewProps,
      onDOMLinkPress,
      style,
      source,
      testID: 'iframe'
    }
  });
  return /*#__PURE__*/_react.default.createElement(WebView, webViewProps);
}
//# sourceMappingURL=HTMLIframe.js.map